picard.analysis

## Class GcBiasUtils

- java.lang.Object
- - picard.analysis.GcBiasUtils

-     public class GcBiasUtils
      extends Object

  Utilities to calculate GC Bias Created by kbergin on 9/23/15.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GcBiasUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `calculateAllGcs(byte[] refBases, int lastWindowStart, int windowSize)`
    `static int` | `calculateGc(byte[] bases, int startIndex, int endIndex, picard.analysis.GcBiasUtils.CalculateGcState state)`
    `static int[]` | `calculateRefWindowsByGc(int windows, File referenceSequence, int windowSize)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GcBiasUtils

          public GcBiasUtils()

  - ### Method Detail

    - #### calculateGc

          public static int calculateGc(byte[] bases,
                                        int startIndex,
                                        int endIndex,
                                        picard.analysis.GcBiasUtils.CalculateGcState state)

    - #### calculateRefWindowsByGc

          public static int[] calculateRefWindowsByGc(int windows,
                                                      File referenceSequence,
                                                      int windowSize)

    - #### calculateAllGcs

          public static byte[] calculateAllGcs(byte[] refBases,
                                               int lastWindowStart,
                                               int windowSize)